Package twisted :: Package application :: Module internet :: Class TimerService |
[frames | no frames]

## Class TimerService

             Service --+
                       |
    _VolatileDataService --+
                           |
                          TimerService

Known Subclasses:
  `FileMonitoringService`

Method Summary
| `__init__(self, step, callable, *args, **kwargs)`
| `startService(self)`
| `stopService(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`list` | `volatile` = `['_call']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

    ### volatile Type: `list` Value:
        ['_call']

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net